sr = 32000                ; TRANZE-INCIDENTAL:  ORIGINAL ORC AND MIDI FILE
kr = 320                  ;       composed, designed and coded by:
ksmps = 100               ;           Scott Vercoe, Analog Devices, Inc.
nchnls = 2                ;               August, 1996
;=========================================================================
turnon  129             ; MONO REVERB:  - ENABLE
gar     init     0      ;               - INITIALIZE
turnon  131             ; EQ:           - ENABLE
gaf     init     0      ;               - INITIALIZE
gidr    =        .15    ; DRUM REVERB RETURN
;=========================================================================
gisin   ftgen 0, 0, 4096, 10,  1
gisqr   ftgen 0, 0, 4096,  7, -1, 2048, -1, 0, 1, 2048, 1  ; square wave
gisaw   ftgen 0, 0, 4096,  7, -1, 4096, 1                  ; saw wave
giwv    ftgen 0, 0, 8192, 10,  1, .5, .3, .1, .1, .6, .3, .1, .1, .3, .1, .05
givcurv ftgen 0, 0, 16,    5,  5, 16, 50   ; exponential for velocity
gifcurv ftgen 0, 0, 16,    5,  3, 16, 60   ; exponential for filter
;=========================================================================
givib1  ftgen 1.35, 0, 0, 1, "12A4.aif", 0, 0, 0            ; VIBRAPHONE 1
givib2  ftload  "12A5.aif"                                  ; VIBRAPHONE 2
ibd     ftgen 3.35, 0, 0, 1,  "bd_hous2.wav", 0, 0, 0       ; KICK DRUM
isd     ftgen 4.35, 0, 0, 1,  "hous_sd1.wav", 0, 0, 0       ; SNARE DRUM
ich     ftgen 5.35, 0, 0, 1,  "d0142ns.aif", 0, 0, 0        ; CLOSE HAT
ioh     ftgen 6.35, 0, 0, 1,  "d0146ns.aif", 0, 0, 0        ; OPEN HAT
irb     ftgen 7.35, 0, 0, 1,  "d0153ns.aif", 0, 0, 0        ; RIDE BELL
irc     ftgen 8.35, 0, 0, 1,  "d0151ns.aif", 0, 0, 0        ; RIDE
ib1     ftgen 9.35, 0, 0, 1,  "bongo_lo.wav", 0, 0, 0       ; BONGO HI
ib2     ftgen 10.35,0, 0, 1,  "d0161ns.aif", 0, 0, 0        ; BONGO LO
gicamil ftgen 11.35,0, 0, 1,  "camil.wav", 0, 0, 0          ; BASS LOOP
;=========================================================================
;-----------------|SPLIT|SMP |RVB S+R|PAN||LVL||SPLT|SMP | RVB S+R|PAN|LVL
isplit ftsplit 8,5,    0, ibd,      0, .6, 5700,  38, isd,.1*gidr, .3, 8170, \
                      42, ich,      0, .4,10070,  45, ioh,      0, .5, 2280, \
                      48, irc,.1*gidr, .3, 3800,  52, irb,.3*gidr, .4,14060, \
                      58, ib1,.3*gidr, .8,11590,  63, ib2,      0, .8,13870
ivibesplt ftsplit 2,6,   0, givib1,   440,   ftlptim(givib1),  .5, .15,  \
                        78, givib2,   880,   ftlptim(givib2),  .4, .15
        dpgminit 26.10, isplit
        dpexclus 26.10, 42, 46
;=========================================================================
   pgminit   1, ivibesplt                       ; VIBES
   pgminit   2                                  ; BASS LOOP
   pgminit   3, gisin                           ; FX
   pgminit  81                                  ; WASPY BASS
   pgminit  82,  1350, .05,  .6, .7, 200        ; SCHMOOG
   pgminit  83,  1400, .07,  .4, .3, 800        ; MINI
   pgminit  88                                  ; STACCATO CHORDS
   pgminit  96, gisin, .7                       ; SWEEP 1
   pgminit  97, gisqr, .6                       ; SWEEP 2
   pgminit 100, gisin, 7800, .1                 ; BUILD 1
   pgminit 101, gisqr, 3400, .9                 ; BUILD 2
 pctrlinit   3, 7,  77                          ; FX
 pctrlinit  81, 7, 127, 8, 127, 9, 110, 11, 70  ; WASPY BASS
 pctrlinit  82, 7, 127, 8, 60                   ; SCHMOOG
 pctrlinit  83, 7, 127, 8, 60                   ; MINI
 pctrlinit  88, 7,  90, 8, 127                  ; STACCATO CHORDS
dpctrlinit  26, 7, 127, 8, 90, 9, 10            ; DRUMS
;=========================================================================
                    instr    1                     ; VIBES:   1.953 MIPS
                    vprogs   1
        ivel        ampmidi  12000, givcurv        ; get velocity curve
        iflt        ampmidi  8000,  gifcurv        ; get filter curve
        kcps        cpsmidib 2                     ; get note
ift,irn,idl,idc,irl mtsplit  v1                    ; table lookups
        kenv        dexponr  ivel,idl,idc,irl      ; envelope
        ga1         loscil1  kenv,kcps,ift,irn     ; sample oscillator
        ga1         butterlp ga1, iflt             ; lowpass filter
                    outs12   ga1                   ; outputs
endin
;=========================================================================
        instr    2                              ; CAMILO BASS:
        vprogs   2
icps    cpsmidi                                 ; get note
kenv    linenr   10500, .05, .1                 ; envelope
ga1     doscilp  kenv, icps, gicamil, 261.6     ; sample oscillator
        outs12   ga1                            ; outputs
gaf     addin    ga1, .3                        ; add filter
endin
;=========================================================================
        instr    3                              ; WASPY BASS:
        vprogs   81
ilevel  midictrl 7, 0, 1300                     ; get level setting
ifilter midictrl 8, .3, 0                       ; get filter settting
ieq     midictrl 9, 0, 1                        ; get EQ settings
icut    midictrl 11, 400, 3500                  ; get cutoff setting
ivel    veloc    0, ilevel                      ; get velocity
icps    cpsmidi                                 ; get note
kenv    linsegr  0, .001, ivel, .1, ivel*.8, .01, 0  ; amp envelope
ga1     oscil    kenv, icps, gisaw              ; oscillator
kfall   linsegr  icut,.09, icps, .02, 20        ; filter envelope 1
kflt    linsegr  .1, .2, .4, .1, .6             ; filter envelope 2
ga1     filter   ga1, kfall, kflt+ifilter, 1    ; lowpass filter
        outs12   ga1                            ; outputs
gaf     addin    ga1, ieq                       ; add EQ
endin
;=========================================================================
        instr    4,5                            ; SCHMOOG, MINI
        vprogs   82, 83
ilevel  midictrl 7, 0, v1                       ; get level 1 settings
isqr    midictrl 8, 0, 2                        ; get level 2 settings
ivel    veloc    0, ilevel                      ; get velocity
icps    cpsmidi                                 ; get note
icps2   = icps * 2                              ; plus octave
kenv    linsegr  0, v2, ivel, .1, ivel*v3, 9, 400, 2, 80, .01, 0 ; amp env
ga1     coscil   kenv, icps, 11, gisaw          ; chorusing oscillator
ksqr    linsegr  0, .01, v5,.05,100,2,10,.1, 0  ; square env
ga2     coscil   ksqr, icps2, 23, gisqr         ; square attack
kfall   linsegr  icps2,.1, icps, 2, icps, 5, 5000, 4.5, 100, .02, 100
kflt    linsegr  .1, .2, .4, 9, .03, 2, .5, .1, .6  ; filter envelopes
ga1     filter   ga1, kfall, kflt, 1            ; lowpass filter
ga1     = ga1+ga2*isqr                          ; combine signals
        panouts  ga1, v4                        ; panned outputs
endin
;=========================================================================
        instr    6                                ; STACCATO CHORDS
        vprogs   88
ilevel  midictrl 7, 0, 550
ivel    veloc    0, ilevel
icps    cpsmidi
kenv    linsegr  0, .01, ivel, .2, ivel*.5, .002, 0
ga1     oscil    kenv, icps, gisaw
krise   linsegr  icps,.1, icps*2, .1, icps*.5, .002, 200
kflt    linsegr  0, .15, .3, .1, .05, 2, .4, .002, .6
ga1     filter   ga1, krise, kflt, 2
        outs12   ga1
endin
;=========================================================================
        instr    7, 8                             ; BUILDS
        vprogs   100, 101
ivel    veloc    0, v2
icps    cpsmidi
kenv    linsegr  0, .04, ivel, .2, ivel*.5, 4,200, .001, 0
ga1     coscil   kenv, icps, 19, v1
        panouts  ga1, v3
endin
;=========================================================================
                instr      9, 10                       ; SWEEPS
                vprogs     96, 97
        ifreq   cpsmidi
        ivel    ampmidi    v2
        k2      linsegr    0, 1.3, 450, 9, 160, 1.7, 1
        ga2     oscil      k2, ifreq, v1
        k1      linsegr    0, 1.7, 2000, 5, 3000, 12, 750, 2, 1
        ga1     oscil      k1, ifreq * 1.502 + ga2, v1
        kswp    oscil      1200, .1, gisin
        ga1     butterlp   ga1 + ga2, kswp + 2100
        kgate   linenr     ivel, 0, 2
        ga1     = ga1 * kgate
                outs12     ga1
endin
;=========================================================================
instr   11,12                                           ; FX
        vprogs  3
        icps    cpsmidi
        kcps    line     icps, 3, 60
        kpch    line     2, 2.1, .1
        kenv1   oscil     400, 51, v1
        kenv2   oscil    6000, 28, v1
        kenvy   oscil    900, 18, v1
        ga2     oscil    kenv1, kpch*(kenvy+1050), giwv
        anz     rand     kenv2 + 9000                  ; oscillator
        krt     line     2, 19, 34                     ; speed
        kswsh   oscil    63, krt, v1                   ; swoosh
        ga1     butterbp anz, kcps, kswsh + 80         ; noise filter
        klevel  midictrl 7, 0, 1                       ; get level settings
        kgate   linenr   1, 1.9, 3.1                   ; envelope
        ga1  =  (ga1+ga2) * kgate * klevel
                outs12 ga1
endin
;=========================================================================
        instr    15                                     ; DRUMS
        dvprogs  26
inn     notnum
ift, irvb, ipan, iv  \
        mtsplit  v1
ilevel  midictrl 7, 0, iv
ivel    veloc    0, ilevel
ga1     doscil   ivel, ift
ifilter midictrl 8, 15000, 300
ifiltm  midictrl 9, 1, 2
ga2     butterhp ga1, ifilter
        ga1 = ga1+ga2*ifiltm
        panouts  ga1, ipan
  if    inn = 35 kgoto  bassboost
gar   addin    ga1, irvb
        kgoto    end
  bassboost:
gaf    addin    ga1, 1
  end:
        endin
;=========================================================================
        instr    129
ga1     reverb2  gar, 3, .6
        outs12   ga1
gar   =        0
        endin
;=========================================================================
        instr    131
ga1     butterlp gaf, 300
        outs12  ga1
gaf    =        0
        endin
;=========================================================================
