sr =  32000      ;  RESET ROVER ORCHESTRA
kr =    200      ;     composed and coded by:
ksmps = 160      ;         Scotty Vercoe, September 1997
nchnls =  2      ;            copyright 1997, Analog Devices, Inc.
;=========================================================================
gar	init	0	; vocal performance by Amalia Stephenson
gaharm	init	0
gkmel	init	0
gkch1	init	0
gkch2	init	0
;=========================================================================
turnon  101		; REVERB
turnon  102		; HARMONIZER
;=========================================================================
gisaw   ftgen 0, 0, 4096,  7, -1, 4096, 1     ; saw wave
;giwv    ftgen 0, 0, 1024, 10, 1, .4, .2, .1, 01, .1, .01, .05, .01
;=========================================================================
iapno1  ftgen  1.35, 0, 0, 1, "prpno1.aif", 0, 0, 0
iapno2  ftgen  2.35, 0, 0, 1, "prpno2.aif", 0, 0, 0
iapno3  ftgen  3.35, 0, 0, 1, "prpno3.aif", 0, 0, 0
iapno4  ftgen  4.35, 0, 0, 1, "prpno4.aif", 0, 0, 0
iapno5  ftgen  5.35, 0, 0, 1, "prpno5.aif", 0, 0, 0
iapno6  ftgen  6.35, 0, 0, 1, "prpno6.aif", 0, 0, 0
iapno7  ftgen  7.35, 0, 0, 1, "prpno7.aif", 0, 0, 0
gipiano ftsplit 7,6,  0, iapno1,   51.9, ftlptim(iapno1), .6, .3,   \
                     35, iapno2,   87.3, ftlptim(iapno2), .5, .25,  \
                     45, iapno3,  130.8, ftlptim(iapno3), .4, .2,   \
                     52, iapno4,  196,   ftlptim(iapno4), .3, .15,  \
                     59, iapno5,  329.6, ftlptim(iapno5), .3, .15,  \
                     67, iapno6,  523.2, ftlptim(iapno6), .2, .15,  \
                     76, iapno7, 1046.5, ftlptim(iapno7), .15, .3
;=========================================================================
ibrs1  ftgen  8.35, 0, 0, 1, "brsrip70.wav", 0, 0, 0	; BRASS
ibrs2  ftgen  9.35, 0, 0, 1, "brsrip75.wav", 0, 0, 0
ibrs3  ftgen 10.35, 0, 0, 1, "brsrip80.wav", 0, 0, 0
gibrss ftsplit 3,4,  0, ibrs1, cpspch(8.10), .1,   \
		    73, ibrs2, cpspch(9.03), .8,   \
		    78, ibrs3, cpspch(9.08), .8
;=========================================================================
pgminit  1       ; piano
pgminit  5       ; melody 1
pgminit 12       ; melody 2
pgminit 26       ; melody 3
pgminit 34	 ; bass
pgminit 62       ; horns
ctrlinit 1,1,86, 2,100, 3,58, 4,75, 5,15, 6,100, 7,27, 8,127, 9,80, 10,110, 11,15, 12,60, 13,68, 14,44
;=========================================================================
        instr    1	    			; MELODY
        vprogs   5
icps    cpsmidi
gkmel   = icps
        endin
;=========================================================================
        instr    2    				; HARMONIZED VOICE #1
        vprogs   26
icps    cpsmidi
gkch1 = icps
        endin
;=========================================================================
        instr    3    				; HARMONIZED VOICE #2
        vprogs   12
icps    cpsmidi
gkch2   = icps
        endin
;=========================================================================
        instr    4				; BRASS
        vprogs   62
;;ilevel  chanctrl 1, 6, 0, 15000                 ; get level
ilevel	chanctrl 1, 6, 0, 12000                  ; get level
irverb  chanctrl 1, 7, 0, .4                    ; get reverb send
ivel    ampmidi  ilevel                         ; get velocity
icps    cpsmidi                                 ; get pitch
ift,irn,ipn mtsplit  gibrss                     ; table lookups
kenv    linenr   ivel, .01, .05                 ; envelope
ga1     doscilp  kenv, icps, ift, irn           ; sample oscillator
        panouts  ga1, ipn                       ; outputs
gar	addin	 ga1, irverb                    ; effects send
        endin
;=========================================================================
        instr    5                              ; PIANO
        vprogs   1
;;ilevel	chanctrl 1, 4, 0, 7500                  ; get level
ilevel	chanctrl 1, 4, 0, 6000                  ; get level
irverb  chanctrl 1, 5, 0, .4                    ; get reverb send
ivel    ampmidi  ilevel                         ; get velocity
icps    cpsmidi                                 ; get pitch
ift,irn,idl,idc,irl mtsplit  gipiano            ; table lookups
kenv    dexponr  ivel,idl,idc,irl               ; envelope
ga1     loscil1  kenv,icps,ift,irn              ; sample oscillator
        outs12   ga1                            ; outputs
gar	addin	 ga1, irverb                    ; effects send
endin
;=========================================================================
        instr    7                              ; BASS
        vprogs   34
;;ilevel  chanctrl 1, 10, 0, 3000                 ; get level setting
ilevel  chanctrl 1, 10, 0, 2400                 ; get level setting
icut    chanctrl 1, 11, 180, 3000               ; get cutoff setting
ivel    ampmidi  ilevel                         ; get velocity
icps    cpsmidi                                 ; get note
kenv    linsegr  0, .001, ivel, .1, ivel*.8, .01, 0  ; amp envelope
ga1     oscil    kenv, icps, gisaw              ; oscillator
kfall   linsegr  icut,.09, icps, .02, 20        ; filter envelope 1
kflt    linsegr  .1, .2, .4, .1, .6             ; filter envelope 2
ga1     filter  ga1, kfall, kflt, 1            ; lowpass filter
        outs12   ga1                            ; outputs
gar     maddin   ga1, .06                       ; send to FX
endin
;=========================================================================
        instr    10				; DRUM TRACK
ga1     soundin  "roverdr.aif"
;;klevel  chanctrl 1, 8, 0, 1                     ; get level
klevel  chanctrl 1, 8, 0, .8                     ; get level
krverb  chanctrl 1, 9, 0, .2                    ; get reverb send
        outs12   ga1*klevel                     ; outputs
gar	addin	 ga1, krverb                    ; effects send
        endin
;=========================================================================
        instr    11
gaharm  soundin  "rovervc.wav"
;;klevel  chanctrl 1, 1, 0, 1                     ; get level
klevel  chanctrl 1, 1, 0, .8                     ; get level
krverb  chanctrl 1, 3, 0, .4                    ; get reverb send
ga1     delay    gaharm, .065
        outs12   ga1*klevel                     ; outputs
gar	addin	 ga1, krverb                    ; effects send
        endin
;=========================================================================
        instr    101				; REVERB
krvret  chanctrl 1, 12, 0, 1                    ; return level
krvtim  chanctrl 1, 12, .01, 2                  ; reverb time
krvrol  chanctrl 1, 14, .01, .9                 ; high-rolloff
ga1	reverb2  gar, krvtim, krvrol            ; effect
	outs12   ga1*krvret                     ; outputs
gar	=        0
        endin
;=========================================================================
        instr    102				; VOCAL HARMONIES
;;klevel  chanctrl 1, 2, 0, 1                     ; harmony level
klevel  chanctrl 1, 2, 0, .5                     ; harmony level
  if    gkch1 == 0 kgoto  end                   ; bypass if not needed
;gaharm	reson 	gaharm,0,3000,1
;;koct    pfind	gaharm
w1      spectrum gaharm, .02, 7, 24, 12, 1, 3
koct,kamp specptrk w1, 1, 6.5, 8.9, 7.5, 10, 7, .7, 0, 3, 1
ga1	delay	gaharm, .065
ga1     harmon2 ga1, koct, gkch1, gkch2, 1, 7.6, 1
       	outs12 	ga1*klevel                     ; outputs
gkch1   =        0                              ; reset notes
gkch2   =        0
end:
gaharm  =        0
        endin
;=========================================================================


