sr = 32000      ;  RESET ROVER ORCHESTRA
;kr =   800      ;     designed and coded by:
;ksmps = 40      ;         Scott Vercoe, September 1997
kr = 100
ksmps = 320
nchnls = 2      ;            copyright 1997, Analog Devices, Inc.
;=========================================================================
gar	init	0
gac	init	0
gaharm	init	0
gatar	init	0
gkmel	init	0
gkch1	init	0
gkch2	init	0
;=========================================================================
turnon  128		; MIC
turnon  130		; CHORUS
turnon  131		; REVERB
turnon  132		; HARMONIZER
;=========================================================================
givcurv ftgen 0, 0, 16,    5, 5, 16, 50       ; exponential for velocity
gifcurv ftgen 0, 0, 16,    5, 3, 16, 60       ; exponential for filter
gisin   ftgen 0, 0, 8192, 10, 1               ; sine wave
gisaw   ftgen 0, 0, 4096,  7, -1, 4096, 1     ; saw wave
giwv    ftgen 0, 0, 1024, 10, 1, .4, .2, .1, 01, .1, .01, .05, .01
gidist	ftgen 0, 0, 8192, 7, -.8, 934, -.79, 934, -.77, 934, -.64, 1034, -.48, 520, .47, 2300, .48, 1536, .48
;=========================================================================
iepno1  ftgen  6.35, 0, 0, 1, "06c4.aif", 0, 0, 0	; E.PIANO
iepno2  ftgen  7.35, 0, 0, 1, "06c5.aif", 0, 0, 0
i06split ftsplit 2,6,  0, iepno1,  261.6,  ftlptim(iepno1), .3, .1,    \
                      67, iepno2,  523.2,  ftlptim(iepno2), .3, .1
;=========================================================================

ibrs1  ftgen  8.35, 0, 0, 1, "brsrip70.wav", 0, 0, 0	; BRASS
ibrs2  ftgen  9.35, 0, 0, 1, "brsrip75.wav", 0, 0, 0
ibrs3  ftgen 10.35, 0, 0, 1, "brsrip80.wav", 0, 0, 0
i62split ftsplit 3,4,  0, ibrs1, cpspch(8.10), .1,     \
		      73, ibrs2, cpspch(9.03), .8,     \
		      78, ibrs3, cpspch(9.08), .8
;=========================================================================
iepno1  ftgen  11.35, 0, 0, 1, "rhod31.wav", 0, 0, 0	; RHODES
iepno2  ftgen  12.35, 0, 0, 1, "rhod36.wav", 0, 0, 0
iepno3  ftgen  13.35, 0, 0, 1, "rhod43.wav", 0, 0, 0
iepno4  ftgen  14.35, 0, 0, 1, "rhod48.wav", 0, 0, 0
iepno5  ftgen  15.35, 0, 0, 1, "rhod55.wav", 0, 0, 0
iepno6  ftgen  16.35, 0, 0, 1, "rhod60.wav", 0, 0, 0
iepno7  ftgen  17.35, 0, 0, 1, "rhod67.wav", 0, 0, 0
iepno8  ftgen  18.35, 0, 0, 1, "rhod72.wav", 0, 0, 0
iepno9  ftgen  19.35, 0, 0, 1, "rhod79.wav", 0, 0, 0
iepno10 ftgen  20.35, 0, 0, 1, "rhod84.wav", 0, 0, 0
iepno11 ftgen  21.35, 0, 0, 1, "rhod91.wav", 0, 0, 0
iepno12 ftgen  22.35, 0, 0, 1, "rhod96.wav", 0, 0, 0
iepsplit  ftsplit 12,4, 0, iepno1,  cpspch(5.07),  .20, \
		       33, iepno2,  cpspch(6.00),  .25, \
                       39, iepno3,  cpspch(6.07),  .30, \
                       45, iepno4,  cpspch(7.00),  .35, \
                       51, iepno5,  cpspch(7.07),  .40, \
                       57, iepno6,  cpspch(8.00),  .45, \
                       63, iepno7,  cpspch(8.07),  .50, \
                       69, iepno8,  cpspch(9.00),  .55, \
                       75, iepno9,  cpspch(9.07),  .60, \
                       81, iepno10, cpspch(10.00), .65, \
                       87, iepno11, cpspch(10.07), .70, \
                       93, iepno12, cpspch(11.00), .75
;=========================================================================
;               v1       v2    v3   v4    v5
;-------| # |-----------|RVB|-|PAN|CHOR|-|LVL
pgminit  1,  iepsplit,  .4,            10000, .15 ; rhodes
pgminit  5,  i06split,  .1,   .4,   0,  5200	  ; melody 1
pgminit 12,  i06split,  .1,   .3,   1,  1600	  ; melody 2
pgminit 26,  i06split,  .1,   .3,   1,  1600	  ; melody 3
pgminit 34,  2700				  ; bass
pctrlinit 34, 7, 127, 8, 70, 9, 110, 11, 70	  ;  "
pgminit 62,  i62split,  .1,             9000, .05 ; horns
;pgminit 90					  ; synth
;=========================================================================
        instr    1	    			; MELODY
        vprogs   5
ivel    veloc    0, v5
icps    cpsmidi
gkmel   = icps
ift, ibsfreq, idel, idec, irel \
        mtsplit  v1
kenv    dexponr  ivel, idel, idec, irel
ga1     loscil1  kenv, icps, ift, ibsfreq
kcut	midictrl 7, 20, 2000
kcut	port     kcut,.01
gaflt	filter	 ga1, kcut, .2, 2
ga1	balance  gaflt, ga1
        panouts  ga1, v3
gar,gac maddin   ga1, v2, v4
        endin
;=========================================================================
        instr    2    				; HARMONIZED VOICE #1
        vprogs   12
ivel    veloc    0, v5
icps    cpsmidi
gkch1 = icps
ift, ibsfreq, idel, idec, irel \
        mtsplit  v1
kenv    dexponr  ivel, idel, idec, irel
ga1     loscil1  kenv, icps, ift, ibsfreq
kcut	midictrl 7, 20, 2000
kcut	port     kcut,.01
gaflt	filter	 ga1, kcut, .2, 2
ga1	balance  gaflt, ga1
        panouts  ga1, v3
gar,gac maddin   ga1, v2, v4
        endin
;=========================================================================
        instr    3    				; HARMONIZED VOICE #2
        vprogs   26
ivel    veloc    0, v5
icps    cpsmidi
gkch2   = icps
ift, ibsfreq, idel, idec, irel \
        mtsplit  v1
kenv    dexponr  ivel, idel, idec, irel
ga1     loscil1  kenv, icps, ift, ibsfreq
kcut	midictrl 7, 20, 2000
kcut	port     kcut,.01
gaflt	filter	 ga1, kcut, .2, 2
ga1	balance  gaflt, ga1
        panouts  ga1, v3
gar,gac maddin   ga1, v2, v4
        endin
;=========================================================================
        instr    4, 5				; BRASS & RHODES
        vprogs   1, 62
ivel    veloc    0, v3
icps    cpsmidi
ift,irn,ipn mtsplit  v1
kenv    linenr   ivel, .01, v4
ga1     doscilp  kenv, icps, ift, irn
        panouts  ga1, ipn
gar	addin	 ga1, v2
        endin
;=========================================================================
        instr    7                              ; BASS
        vprogs   34
ilevel  midictrl 7, 0, v1                       ; get level setting
ifilter midictrl 8, .3, 0                       ; get filter settting
;ieq     midictrl 9, 0, 1                        ; get EQ settings
icut    midictrl 11, 200, 3200                  ; get cutoff setting
ivel    veloc    0, ilevel                      ; get velocity
icps    cpsmidi                                 ; get note
kenv    linsegr  0, .001, ivel, .1, ivel*.8, .01, 0  ; amp envelope
ga1     oscil    kenv, icps, gisaw              ; oscillator
kfall   linsegr  icut,.09, icps, .02, 20        ; filter envelope 1
kflt    linsegr  .1, .2, .4, .1, .6             ; filter envelope 2
ga1     filter   ga1, kfall, kflt+ifilter, 1    ; lowpass filter
        outs12   ga1                            ; outputs
gac,gar maddin   ga1, .4, .06                   ; send to FX
endin
;=========================================================================
        instr   10				; DRUM TRACK
;ga1     soundin "aesdrum.wav"
ga1	= 0
        outs12  ga1     
        endin
;=========================================================================
        instr    128				; MIC IN
gaharm,gatar ins
        outs12   gaharm * .6 
gar     addin    gaharm,  .2
        endin
;=========================================================================
        instr    130				; CHORUS
;clkon 8
ga1,ga2 chorus2  gac, .191,.217,.233, .425,.001,.003, .005,.007, 0, 1, 0, gisin
        outs     ga1, ga2
gac   =        0
;clkoff 8
        endin
;=========================================================================
        instr    131				; REVERB
;clkon 9
ga1	reverb2 gar, 1.4, .02
        outs12  ga1
gar	=       0
;clkoff 9
        endin
;=========================================================================
        instr   132				; HARMONIZER
;clkon 10
  if    gkch1 == 0 || gkch2 == 0  kgoto  end
gaharm  reson   gaharm, 0, 3000, 1
;koct	pfind	gaharm
koct =7.3
;w1      spectrum gaharm, .02, 7, 24, 12, 1, 3
;koct,kamp specptrk w1, 1, 6.5, 8.9, 7.5, 10, 7, .7, 0, 3, 1
;gaharm	delay	gaharm, .065
;a2      harmon2 gaharm, koct, gkch1, gkch2, 1, 6.5
a4	delay	gaharm, .016
;        outs    a4, a2
        outs    a4, a4
end:
;clkoff 10
        endin
;        instr    132				; HARMONIZER
;clkon 10
;  if    gkmel == 0 || gkch1 == 0  kgoto  end
;display gaharm, .1
;a1     harmon   gaharm, gkch1, .2, gkch2, 0, 1, 90, .1
;        outs12   a1
;gkch1   =        0
;gkch2   =        0
;  end:
;gaharm  =        0
;clkoff 10
;        endin
;=========================================================================
         instr   13				; DISTORTION
;clkon 7
igaini   =       2         ; Pre gain
igainf   =       4         ; Post gain
iduty    =       1         ; Duty cycle offset
islope   =       1         ; Slope offset

;asign    init    0           ; Delayed signal
;asig     = gatar
;aold     =       asign                 ; Save the last signal
;gasign      =       igaini*asig*.00001666     ; Normalize the signal
;ga1      tablei  gasign,gidist,1,.5          ; Read the waveshaping table
;ga1      =       igainf*ga1*.00006666    ; Re-amplify the signal
;atemp    delayr  .1                    ; Amplitude and slope based delay
;aout     deltapi (2-iduty*gasign)*.000666 + islope*(gasign-aold)*.00333333
;         delayw  ga1
;         outs12  aout           ; Write to output channel
;clkoff 7
         endin
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;