import CsoundAPI
from time import sleep

orchestra = """
	sr = 32000					; audio signal sampling rate
	kr = 1000					; the control signal rate
	ksmps = 32
gisine	ftgen	0, 0, 1024, 10, 1
gkfrq1	init	440				; create two global orch cells, initial values 440 and 550
gkfrq2	init	550
	alias	gkfrq1, "inifreq1"	; expose them to the outer Python program
	alias	gkfrq2, "inifreq2"

	instr	1					; instrument 1
k1	lfo		3, gisine, 5		; low frequency oscil:  delay 5, then a 3 Hz vibrato
a1	oscil	p4, gkfrq1+k1*9, gisine	; initial gkfrq of 440 (+ 0) is modifiable by Python
	out	a1
	endin

 	instr	2					; instrument 2
k1	lfo		3, gisine, 5		; low frequency oscil:  delay 5, then a 3 Hz vibrato
a1	oscil	p4, gkfrq2+k1*8, gisine	; initial gkfrq of 500 (+ 0) is modifiable by Python
	out	a1
	endin
 """
score = """						; score (of what to play when)
i1  0  7	8000 				; play instr 1 at time 0 for 7 seconds
i2  0  7	8000				; play instr 2 at time 0 for 7 seconds
e								; end of the score
"""

address = "localhost"
port = 7000						# define some parameters
cs = CsoundAPI.CsoundAPI(address, port, is_gtk=False)	# create a Connection Socket, call it cs 
cs.newInstance()				# allocate a Csound instance at the end of  this socket
sleep(1)
cs.sendOrcStr(orchestra)		# send it our orchestra string
cs.sendScoStr(score)			#   and our score string
cs.sendPrep()					# load these both and get ready to play
sleep(1)
cs.sendPlay()
sleep(2)						# after 2 seconds of hearing 440 and 550 Hz
cs.setAlias("inifreq1", 366)	#   change the 440 Hz to 366
sleep(1)						# after 1 more second
cs.setAlias("inifreq2", 619)	#   change the 550 Hz to 619
sleep(5)						# listen for the vibrato to begin after 2 more secs
cs.close()

